#!/bin/sh
#/******************************************************************************
# *
# * Licensed Materials - Property of IBM
# *
# * Source File Name = config_remote_services.sh
# *
# * (C) COPYRIGHT IBM Corp. 1999, 2003 All Rights Reserved
# *
# * US Government Users Restricted Rights - Use, duplication or
# * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# *
# *****************************************************************************/
# This script should be used to configure the remote services.  It will
# read resource.def and dsml files from the service profile directory
# in the $ENROLE_HOME/data/remote_services directory and place that
# schema and profile information in the LDAP directory.  
# 
# The name of the service profile should be supplied as a parameter
# To this script.  
# To keep the existing form templates, -noreplace can be specified.
 
# Modify the parameters below to point to the correct location.
ITIM_HOME=/itim45
APP_SVR_HOME=/opt/WebSphere/AppServer

# No modification is required below this point.  Ensure that the two
# parameters ITIM_HOME and JAVA_HOME are set correctly above.
ITIM_LIB=$ITIM_HOME/lib
JAVA_HOME=$APP_SVR_HOME/java
JAVA=$JAVA_HOME/bin/java

CLASSPATH=.:../.
CLASSPATH=$CLASSPATH:$ITIM_HOME/extensions/lib/j2ee.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/data
CLASSPATH=$CLASSPATH:$ITIM_LIB/jsafe.jar
CLASSPATH=$CLASSPATH:$ITIM_LIB/xerces.jar
CLASSPATH=$CLASSPATH:$ITIM_LIB/ldapjdk.jar
CLASSPATH=$CLASSPATH:$ITIM_LIB/enroleagent.jar
CLASSPATH=$CLASSPATH:$ITIM_LIB/itim_api.jar
CLASSPATH=$CLASSPATH:$ITIM_LIB/itim_server.jar
CLASSPATH=$CLASSPATH:../lib/eim.jar
CLASSPATH=$CLASSPATH:../lib/log4j-1.2.8.jar
CLASSPATH=$CLASSPATH:../lib/itimaeim.jar
$JAVA -classpath $CLASSPATH  com.ibm.itim.eim.LocalSynch

