@echo off
@rem ********************************************************************
@rem *
@rem * Licensed Materials - Property of IBM
@rem *
@rem * Source File Name = setEnvRemoteWAS.bat
@rem *
@rem * (C) COPYRIGHT IBM Corp. 2003 All Rights Reserved
@rem *
@rem * US Government Users Restricted Rights - Use, duplication or
@rem * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@rem *
@rem ********************************************************************
@rem *
@rem *     WebSphere is Only Supported
@rem *
@rem ********************************************************************


@echo ********************************************************************
@echo *
@echo *  In order to run the bridge to a remote server, this setup script 
@echo * needs access to an enrole.properties file from the remote server
@echo * *OR* the properties in this script need to be set to the values      
@echo * found on the remote server.
@echo *
@echo ********************************************************************

set APP_SRV_HOME=C:\progra~1\WebSphere\AppServer
set JAVA_HOME=C:\progra~1\WebSphere\AppServer\java

@rem Configuring ITIM Admin credentials
set ITIM_USER="itim manager"
set ITIM_PSWD=secret

@rem ********************************************************************
@rem * 
@rem * set EJB_USER=
@rem * set EJB_PSWD=
@rem * set APP_SRV_URL=iiop://localhost:2809
@rem * set APP_SRV_PORT=80
@rem * set TENANT_ID=ibm
@rem *
@rem ********************************************************************
@rem * Pulling remote login parameters from enrole.properties
@rem ********************************************************************
set ITIM_HOME=C:\itim45
awk -F= "/enrole.appServer.ejbuser.principal/ {print \"set EJB_USER=\" $2}" %ITIM_HOME%\data\enRole.properties
awk -F= "/enrole.appServer.ejbuser.principal/ {print \"set EJB_USER=\" $2}" %ITIM_HOME%\data\enRole.properties >> tmp.bat

awk -F= "/enrole.appServer.ejbuser.credentials/ {print \"set EJB_PSWD=\" $2}" %ITIM_HOME%\data\enRole.properties
awk -F= "/enrole.appServer.ejbuser.credentials/ {print \"set EJB_PSWD=\" $2}" %ITIM_HOME%\data\enRole.properties >> tmp.bat

awk -F= "/enrole.appServer.url/ {print \"set APP_SRV_URL=\" $2}" %ITIM_HOME%\data\enRole.properties
awk -F= "/enrole.appServer.url/ {print \"set APP_SRV_URL=\" $2}" %ITIM_HOME%\data\enRole.properties >> tmp.bat

awk -F= "/enrole.system.listenPort/ {print \"set APP_SRV_PORT=\" $2}" %ITIM_HOME%\data\enRole.properties
awk -F= "/enrole.system.listenPort/ {print \"set APP_SRV_PORT=\" $2}" %ITIM_HOME%\data\enRole.properties >> tmp.bat

awk -F= "/enrole.defaulttenant.id/ {print \"set TENANT_ID=\" $2}" %ITIM_HOME%\data\enRole.properties
awk -F= "/enrole.defaulttenant.id/ {print \"set TENANT_ID=\" $2}" %ITIM_HOME%\data\enRole.properties >> tmp.bat

call tmp
del tmp.bat
@rem ********************************************************************

set CP=.;..\.

@rem Libraries for ITIM - EIM Synch Start
set CP=%CP%;..\lib\eim.jar
set CP=%CP%;..\lib\log4j-1.2.8.jar
set CP=%CP%;..\lib\itimaeim.jar

set CP=%CP%;..\lib\api_ejb.jar
set CP=%CP%;..\lib\enroleagent.jar
set CP=%CP%;..\lib\jsafe.jar
set CP=%CP%;..\lib\ldapjdk.jar
set CP=%CP%;..\lib\itim_api.jar
set CP=%CP%;..\lib\itim_server.jar
set CP=%CP%;..\lib\xerces.jar
@rem Libraries for ITIM - EIM Synch End

@rem Websphere jars
set LOGIN_CONFIG=.\conf\jaas_login_was.conf
set PLATFORM_APPS_CONTEXT_FACTORY=com.ibm.itim.apps.impl.websphere.WebSpherePlatformContextFactory
set CP=%CP%;%JAVA_HOME%\jre\lib\ext\jaas.jar
set CP=%CP%;%APP_SRV_HOME%\lib\ecutils.jar
set CP=%CP%;%APP_SRV_HOME%\lib\idl.jar
set CP=%CP%;%APP_SRV_HOME%\lib\j2ee.jar
set CP=%CP%;%APP_SRV_HOME%\lib\lmproxy.jar
set CP=%CP%;%APP_SRV_HOME%\lib\namingclient.jar
set CP=%CP%;%APP_SRV_HOME%\lib\ras.jar
set CP=%CP%;%APP_SRV_HOME%\lib\sas.jar
set CP=%CP%;%APP_SRV_HOME%\lib\utils.jar
set CP=%CP%;%APP_SRV_HOME%\lib\wssec.jar
set CP=%CP%;%APP_SRV_HOME%\lib\wsexception.jar
set CP=%CP%;%APP_SRV_HOME%\properties
