#!/bin/sh
#/******************************************************************************
# *
# * Licensed Materials - Property of IBM
# *
# * Source File Name = config_remote_services.sh
# *
# * (C) COPYRIGHT IBM Corp. 1999, 2003 All Rights Reserved
# *
# * US Government Users Restricted Rights - Use, duplication or
# * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# *
# *****************************************************************************/
# This script should be used to configure the remote services.  It will
# read resource.def and dsml files from the service profile directory
# in the $ENROLE_HOME/data/remote_services directory and place that
# schema and profile information in the LDAP directory.  
# 
# The name of the service profile should be supplied as a parameter
# To this script.  
# To keep the existing form templates, -noreplace can be specified.

# Modify the parameters below to point to the correct location.
ITIM_HOME=/itim45
APP_SVR_HOME=/opt/WebSphere/AppServer

# Configuring ITIM Admin credentials
ITIM_USER="itim manager"
ITIM_PSWD=secret

####################################################################
# No modification is required below this point.  Ensure that the two
# parameters ITIM_HOME and JAVA_HOME are set correctly above.
JAVA_HOME=$APP_SVR_HOME/java

echo "#!/bin/sh" > tmp.sh
chmod 755 tmp.sh
awk -F= "/enrole.appServer.ejbuser.principal/ {print \"EJB_USER=\" $2}" $ITIM_HOME/data/enRole.properties >> tmp.sh
awk -F= "/enrole.appServer.ejbuser.credentials/ {print \"EJB_PSWD=\" $2}" $ITIM_HOME/data/enRole.properties >> tmp.sh
awk -F= "/enrole.appServer.url/ {print \"APP_SRV_URL=\" $2}" $ITIM_HOME/data/enRole.properties >> tmp.sh
awk -F= "/enrole.system.listenPort/ {print \"APP_SRV_PORT=\" $2}" $ITIM_HOME/data/enRole.properties >> tmp.sh
awk -F= "/enrole.defaulttenant.id/ {print \"TENANT_ID=\" $2}" $ITIM_HOME/data/enRole.properties >> tmp.sh
echo "export EJB_USER EJB_PSWD APP_SRV_URL APP_SRV_PORT TENANT_ID" >> tmp.sh
./tmp.sh

CLASSPATH=.:../.

# Libraries for ITIM - EIM Synch Start
CLASSPATH=$CLASSPATH:../lib/eim.jar
CLASSPATH=$CLASSPATH:../lib/log4j-1.2.8.jar
CLASSPATH=$CLASSPATH:../lib/itimaeim.jar

CLASSPATH=$CLASSPATH:../lib/api_ejb.jar
CLASSPATH=$CLASSPATH:../lib/enroleagent.jar
CLASSPATH=$CLASSPATH:../lib/jsafe.jar
CLASSPATH=$CLASSPATH:../lib/ldapjdk.jar
CLASSPATH=$CLASSPATH:../lib/itim_api.jar
CLASSPATH=$CLASSPATH:../lib/itim_server.jar
CLASSPATH=$CLASSPATH:../lib/xerces.jar
# Libraries for ITIM - EIM Synch End

# Websphere jars
LOGIN_CONFIG=./conf/jaas_login_was.conf
PLATFORM_APPS_CONTEXT_FACTORY=com.ibm.itim.apps.impl.websphere.WebSpherePlatformContextFactory
CLASSPATH=$CLASSPATH:$JAVA_HOME/jre/lib/ext/jaas.jar
CLASSPATH=$CLASSPATH:$APP_SRV_HOME/lib/ecutils.jar
CLASSPATH=$CLASSPATH:$APP_SRV_HOME/lib/idl.jar
CLASSPATH=$CLASSPATH:$APP_SRV_HOME/lib/j2ee.jar
CLASSPATH=$CLASSPATH:$APP_SRV_HOME/lib/lmproxy.jar
CLASSPATH=$CLASSPATH:$APP_SRV_HOME/lib/namingclient.jar
CLASSPATH=$CLASSPATH:$APP_SRV_HOME/lib/ras.jar
CLASSPATH=$CLASSPATH:$APP_SRV_HOME/lib/sas.jar
CLASSPATH=$CLASSPATH:$APP_SRV_HOME/lib/utils.jar
CLASSPATH=$CLASSPATH:$APP_SRV_HOME/lib/wssec.jar
CLASSPATH=$CLASSPATH:$APP_SRV_HOME/lib/wsexception.jar
CLASSPATH=$CLASSPATH:$APP_SRV_HOME/properties

export CLASSPATH LOGIN_CONFIG PLATFORM_APPS_CONTEXT_FACTORY JAVA_HOME